SSS_OBFUSCATE(8)

NAME
sss_obfuscate - ofusca uma palavra passe em texto simples

SYNOPSIS

sss_obfuscate [opções] [PALAVRA PASSE]

DESCRIÇÃO

sss_obfuscate converte uma palavra passe dada num formato legível por humanos e coloca-a na secção de domínio apropriada do ficheiro de configuração do SSSD.

A palavra passe em texto simples é lida a partir da entrada standard ou inserida interactivamente. A palavra passe ofuscada é colocada no parâmetro “ldap_default_authtok” de um dado domínio SSSD e o parâmetro “ldap_default_authtok_type” é definido para “obfuscated_password”. Consulte sssd-ldap(5) para mais detalhes sobre estes parâmetros.

Por favor note que ofuscar a palavra passe não fornece nenhum benefício de segurança real pois é ainda possível a um atacante fazer engenharia-reversa na palavra passe. Usar melhores mecanismos de segurança tais como certificados no lado cliente ou GSSAPI é fortemente recomendado.

OPÇÕES

-h,--help
    Exibe a mensagem de ajuda e sai.

-s,--stdin
    A palavra passe a ofuscar será lida a partir da entrada standard.

-d,--domain DOMÍNIO
    O domínio SSSD a onde usar a palavra passe. O nome predefinido é “default”.

-f,--file FICHEIRO
    Lê o ficheiro de configuração especificado pelo parâmetro posicional.

    Predefinição: /etc/sssd/sssd.conf

VEJA TAMBÉM

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

O autor do SSSD - https://github.com/SSSD/sssd/